% =========================================================================
% Code for "Pandemic Recessions and Contact Tracing"
% by Leonardo Melosi and Matthias Rottner
% Journal of the European Economic Association, forthcoming
% This code computes the binomial probability mass function
% =========================================================================

function y = binopdf2(r,x,p)


y = (factorial(x)./( factorial(x-r).*factorial(r)) ) .* p .^ r .*(1-p).^(x-r);

end
