% =========================================================================
% Code for "Pandemic Recessions and Contact Tracing"
% by Leonardo Melosi and Matthias Rottner
% Journal of the European Economic Association, forthcoming
% This code solves the pre-pandemic steady state
% =========================================================================

P.C_i = P.w*P.N*P.phi ;
P.C_a = P.w*P.N ;
P.C_c = P.w*P.N*P.phi_c;
P.u = log(P.C) -P.theta/(1/P.eta)*P.N^(1/P.eta);
P.u_i = log(P.C_i) -P.theta/(1/P.eta)*P.N^(1/P.eta);
P.u_a = log(P.C_a) -P.theta/(1/P.eta)*P.N^(1/P.eta);
P.u_c = log(P.C_c) -P.theta/(1/P.eta)*P.N^(1/P.eta);
P.Util = P.u/(1-P.beta);
P.Util_i = (P.u_i+ P.beta*P.pir*P.Util)/(1-P.beta*(1-P.pir - P.pid));
P.Util_c = 1/(1-P.beta*(1-P.pir-P.pii)) * (P.u_c + P.beta*(P.pir*P.Util + P.pii*P.Util_i));
P.Util_a = P.Util;

%disp(['Differene Income vs Target Income: ' num2str(P.C-inc_target)]);